import type { DateTime } from "../tools/types/index.js";
import type { App } from "./app.js";
import { Record as RecordModel } from "./record_model.js";
import { BaseRecordProxy } from "./record_proxy.js";
export declare const CollectionNameAuthOrigins = "_authOrigins";
export declare class AuthOrigin extends BaseRecordProxy {
    constructor(record?: RecordModel | null);
    PreValidate(_ctx: unknown, _app: App): Error | null;
    get Id(): string;
    set Id(value: string);
    CollectionRef(): string;
    SetCollectionRef(collectionId: string): void;
    RecordRef(): string;
    SetRecordRef(recordId: string): void;
    Fingerprint(): string;
    SetFingerprint(fingerprint: string): void;
    Created(): DateTime;
    Updated(): DateTime;
}
export declare function NewAuthOrigin(app: App): AuthOrigin;
export declare function recordRefHooks(app: App, collectionName: string, ...optCollectionTypes: string[]): void;
